import request from '@/utils/request'

// 查询视频存储管理-计划列表
export function listPlan(query) {
  return request({
    url: '/business/plan/list',
    method: 'get',
    params: query
  })
}

// 查询视频存储管理-计划详细
export function getPlan(id) {
  return request({
    url: '/business/plan/' + id,
    method: 'get'
  })
}

// 新增视频存储管理-计划
export function addPlan(data) {
  return request({
    url: '/business/plan',
    method: 'post',
    data: data
  })
}

// 修改视频存储管理-计划
export function updatePlan(data) {
  return request({
    url: '/business/plan',
    method: 'put',
    data: data
  })
}

// 删除视频存储管理-计划
export function delPlan(id) {
  return request({
    url: '/business/plan/' + id,
    method: 'delete'
  })
}
