import request from '@/utils/request'
// 设备列表
export function getDeviceList(params) {
  return request({
    url: '/business/device/list',
    method: 'get',
    params
  })
}
// 设备列表
export function deviceDetail(id) {
  return request({
    url: '/business/device/' + id,
    method: 'get'
  })
}
// /business/video/monitor/his/list
export function monitorHisList(params) {
  return request({
    url: '/business/video/monitor/his/list',
    method: 'get',
    params
  })
}
// 查询智能运维管理-录像监测历史列表-柱状图
export function hisBar(date) {
  return request({
    url: '/business/video/monitor/his/bar/' + date,
    method: 'get'
  })
}
// 修改配置管理-设备配置
export function modifyDevice(data) {
  return request({
    url: '/business/device',
    method: 'put',
    data
  })
}
// 修改配置管理-设备配置
export function addDevice(data) {
  return request({
    url: '/business/device',
    method: 'post',
    data
  })
}
// 批量新增配置管理-设备配置
export function addOrUpdateBatchMyself(data) {
  return request({
    url: '/business/device/addOrUpdateBatchMyself',
    method: 'post',
    data
  })
}
// 查询所有的路口
export function selectDisCrossname(id) {
  return request({
    url: '/business/device/selectDisCrossname/' + id,
    method: 'get'
  })
}
