import request from '@/utils/request'
// 存储管理列表
export function storageList(params) {
  return request({
    url: '/business/storage/list',
    method: 'get',
    params
  })
}// 存储管理列表--消息
export function storageNoticeList(params) {
  return request({
    url: '/business/notice/list',
    method: 'get',
    params
  })
}
// 存储管理设置
export function putStorageList(data) {
  return request({
    url: '/business/storage',
    method: 'put',
    data
  })
}// 设置消息已读
export function putStorageListRead(id) {
  return request({
    url: '/business/notice/' + id,
    method: 'put'
  })
}
