import request from '@/utils/request'

// 查询视频存储管理-计划模版列表
export function listTemplate(query) {
  return request({
    url: '/business/template/list',
    method: 'get',
    params: query
  })
}

// 查询视频存储管理-计划模版详细
export function getTemplate(id) {
  return request({
    url: '/business/template/' + id,
    method: 'get'
  })
}

// 新增视频存储管理-计划模版
export function addTemplate(data) {
  return request({
    url: '/business/template',
    method: 'post',
    data: data
  })
}

// 修改视频存储管理-计划模版
export function updateTemplate(data) {
  return request({
    url: '/business/template',
    method: 'put',
    data: data
  })
}

// 删除视频存储管理-计划模版
export function delTemplate(id) {
  return request({
    url: '/business/template/' + id,
    method: 'delete'
  })
}
