import request from '@/utils/request'

// 查询智能运维管理-视频诊断历史列表
export function listHis(query) {
  return request({
    url: '/business/video/discrisis/his/list',
    method: 'get',
    params: query
  })
}

// 查询智能运维管理-视频诊断历史详细
export function getHis(id) {
  return request({
    url: '/business/his/' + id,
    method: 'get'
  })
}

// 新增智能运维管理-视频诊断历史
export function addHis(data) {
  return request({
    url: '/business/video/discrisis/his',
    method: 'post',
    data: data
  })
}

// 修改智能运维管理-视频诊断历史
export function updateHis(data) {
  return request({
    url: '/business/his',
    method: 'put',
    data: data
  })
}

// 删除智能运维管理-视频诊断历史
export function delHis(id) {
  return request({
    url: '/business/his/' + id,
    method: 'delete'
  })
}
