import request from '@/utils/request'
// 查询智能分析-频繁过车分析数据列表
export function frequencyList(params) {
  return request({
    url: '/business/analyze/frequencyList',
    method: 'get',
    params
  })
}
// 查询智能分析-轨迹分析数据列表
export function trackList(params) {
  return request({
    url: '/business/analyze/trackList',
    method: 'get',
    params
  })
}
// 查询智能分析数据列表
export function analyzeList(params) {
  return request({
    url: '/business/analyze/list',
    method: 'get',
    params
  })
}
// 过车图像回放查询接口
export function queryPassNumber(params) {
  return request({
    url: '/business/analyze/queryPassNumber',
    method: 'get',
    params
  })
}
// 过车图像回放二级页面图片查询接口
export function queryPassPicture(params) {
  return request({
    url: '/business/analyze/queryPassPicture',
    method: 'get',
    params
  })
}
