import request from '@/utils/request'
// 获取本地配置详情
export function getManageList(id) {
  return request({
    url: '/business/config/' + id,
    method: 'get'
  })
}
// 修改本地配置
export function updateConfig(data) {
  return request({
    url: '/business/config',
    method: 'put',
    data: data
  })
}
// 查询配置管理-录像详细
export function getVideo(id) {
  return request({
    url: '/business/video/' + id,
    method: 'get'
  })
}
export function updateVideo(data) {
  return request({
    url: '/business/video',
    method: 'put',
    data: data
  })
}
// 查询配置管理-地图管理详细
export function getMap(id) {
  return request({
    url: '/business/map/' + id,
    method: 'get'
  })
}
// 修改配置管理-地图管理
export function updateMap(data) {
  return request({
    url: '/business/map',
    method: 'put',
    data: data
  })
}
// 查询配置管理-数据备份详细
export function getBackup(id) {
  return request({
    url: '/business/backup/' + id,
    method: 'get'
  })
}
// 修改配置管理-数据备份
export function updateBackup(data) {
  return request({
    url: '/business/backup',
    method: 'put',
    data: data
  })
}
